Package Gnumed :: Package wxpython :: Package patient :: Module gmGP_PastHistory |
[frames] | no frames]

# Module gmGP_PastHistory

source code

Classes
| PastHistoryPanel
| gmGP_PastHistory Plugin to encapsulate the immunisation window.

Variables
| ID_SIGNIFICANTPASTHISTORYLIST = `wxNewId()`
| ID_ACTIVEPROBLEMLIST = `wxNewId()`
| gmSECTION_PASTHISTORY = `5`
| activehistorydata = `{1:("1982", "Hypertension"), 2:("1990", "I`...``
| significanthistorydata = `{1:("1982", "Hypertension"), 2:("1990`...``
| pasthistoryprompts = `{1:("Condition"), 2:("Notes"), 3:(""), 4:`...``

Imports: wxversion, wx, gmGuiElement_HeadingCaptionPanel, gmGuiElement_DividerCaptionPanel, gmGuiElement_AlertCaptionPanel, gmEditArea, gmPlugin_Patient, gmDispatcher, PatientHolder, gmPatientHolder, gmListCtrlMapper, gmMultiColumnList

Variables Details

  ### activehistorydata Value:
      {1:("1982", "Hypertension"), 2:("1990", "Ischaemic Heart Disease"), 3:
      ("1995", "NIDDM"), 4:("1998", "Lymphoma"), 5:("1998", "Chemotherapy"),
      }

  ### significanthistorydata Value:
      {1:("1982", "Hypertension"), 2:("1990", "Acute myocardial infarction")
      , 3:("1994", "CABG"), 4:("1995", "Cholecystectomy"),}

  ### pasthistoryprompts Value:
      {1:("Condition"), 2:("Notes"), 3:(""), 4:("Age Onset"), 5:("Year Onset
      "), 6:(""), 7:("Progress Notes"), 8:(""),}